## libkdegames 4.13.0

=== CMakeLists.txt ===
enable_testing()

project(libkdegames)

set(CMAKE_MODULE_PATH ${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules)

if(NOT COMPILING_KDEGAMES)
	find_package(KDE4 REQUIRED)
	include(KDE4Defaults)
	include(MacroLibrary)

	add_definitions(${QT_DEFINITIONS} ${KDE4_DEFINITIONS})
	add_definitions(-DQT_USE_FAST_CONCATENATION -DQT_USE_FAST_OPERATOR_PLUS)
	include_directories(${KDE4_INCLUDES} ${CMAKE_SOURCE_DIR}/includes)
endif(NOT COMPILING_KDEGAMES)

macro_optional_find_package(OpenAL)
macro_log_feature(OPENAL_FOUND "OpenAL" "OpenAL (Open Audio Library) is a free software cross-platform audio API." "http://connect.creativelabs.com/openal" FALSE "" "Phonon is used as a fallback, but low-latency sound output is only available with OpenAL/SndFile.")

macro_optional_find_package(SndFile)
macro_log_feature(SNDFILE_FOUND "SndFile" "libsndfile is a C library written by Erik de Castro Lopo for reading and writing audio files." "http://www.mega-nerd.com/libsndfile/" FALSE "" "Phonon is used as a fallback, but low-latency sound output is only available with OpenAL/SndFile.")

find_package(KDeclarative)
macro_log_feature(KDECLARATIVE_FOUND "KDeclarative" "KDeclarative is a KDE library for KDE specific QML support." "http://kde.org" TRUE "" "KDeclarative library is required for QML support in KDE Games.")

KDE4_NO_ENABLE_FINAL(libkdegames)
KDE4_NO_ENABLE_FINAL(libkdegamesprivate)

set(HIGHSCORE_DIRECTORY "" CACHE STRING "Where to install system-wide highscores e.g. /var/games")

configure_file(highscore/config-highscore.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/highscore/config-highscore.h )

add_subdirectory( carddecks )
add_subdirectory( declarativeimports )
add_subdirectory( highscore )
add_subdirectory( includes )
add_subdirectory( libkdegamesprivate )
add_subdirectory( tests )

include_directories(
    ${CMAKE_CURRENT_SOURCE_DIR}/highscore
    ${CMAKE_CURRENT_BINARY_DIR}/highscore
    # the following only for libkdegamesprivate, but there aren't
    # target-specific include directories
    ${CMAKE_CURRENT_SOURCE_DIR}/libkdegamesprivate/kgame
    ${CMAKE_CURRENT_SOURCE_DIR}/libkdegamesprivate/..
)

option (USE_OPENAL_SNDFILE "use OpenAL and libsndfile in libkdegames" ON)
if (SNDFILE_FOUND AND USE_OPENAL_SNDFILE)
    message(STATUS "Checking libsndfile capabilities")
    try_compile(SNDFILE_WORKS
        ${CMAKE_CURRENT_BINARY_DIR}/audio/check-libsndfile-capabilities
        ${CMAKE_CURRENT_SOURCE_DIR}/audio/check-libsndfile-capabilities.cpp
        CMAKE_FLAGS -DINCLUDE_DIRECTORIES=${SNDFILE_INCLUDE_DIR})
    if (NOT SNDFILE_WORKS)
        message(FATAL_ERROR "Your version of libsndfile (found in " ${SNDFILE_LIBRARIES} ") is too old. At least version 0.21 is needed. To skip the optional OpenAL/libsndfile dependency in libkdegames (not recommended), re-run cmake with -DUSE_OPENAL_SNDFILE=OFF.")
    endif (NOT SNDFILE_WORKS)
endif (SNDFILE_FOUND AND USE_OPENAL_SNDFILE)

if (OPENAL_FOUND AND SNDFILE_FOUND AND SNDFILE_WORKS)
    message (STATUS "INCLUDES FOR SOUND:  " ${OPENAL_INCLUDE_DIR} " " ${SNDFILE_INCLUDE_DIR})
    message (STATUS "LIBRARIES FOR SOUND: " ${OPENAL_LIBRARY} " " ${SNDFILE_LIBRARIES})
    include_directories(${OPENAL_INCLUDE_DIR} ${SNDFILE_INCLUDE_DIR})
    set(KGAUDIO_LINKLIBS ${OPENAL_LIBRARY} ${SNDFILE_LIBRARIES})
    set(KGAUDIO_BACKEND openal)
    set(KGAUDIO_BACKEND_OPENAL TRUE) # for configure_file() below
else (OPENAL_FOUND AND SNDFILE_FOUND AND SNDFILE_WORKS)
    message (STATUS "FALLBACK LIBRARY FOR SOUND: " ${KDE4_PHONON_LIBS})
    set(KGAUDIO_LINKLIBS ${KDE4_PHONON_LIBS})
    set(KGAUDIO_BACKEND phonon)
    set(KGAUDIO_BACKEND_PHONON TRUE) # for configure_file() below
endif (OPENAL_FOUND AND SNDFILE_FOUND AND SNDFILE_WORKS)

configure_file(libkdegames_capabilities.h.in ${CMAKE_CURRENT_BINARY_DIR}/libkdegames_capabilities.h)

########### next target ###############

set(kdegames_LIB_SRCS
    audio/kgaudioscene-${KGAUDIO_BACKEND}.cpp
    audio/kgsound-${KGAUDIO_BACKEND}.cpp
    colorproxy_p.cpp
#   highscore/kconfigrawbackend.cpp
    highscore/kexthighscore.cpp
    highscore/kexthighscore_gui.cpp
    highscore/kexthighscore_internal.cpp
    highscore/kexthighscore_item.cpp
    highscore/kexthighscore_tab.cpp
    highscore/khighscore.cpp
    highscore/kscoredialog.cpp
    kgameclock.cpp
    kgamepopupitem.cpp
    kgamerendereditem.cpp
    kgamerenderedobjectitem.cpp
    kgamerendererclient.cpp
    kgamerenderer.cpp
    kgdeclarativeview.cpp
    kgimageprovider.cpp
    kgdifficulty.cpp
    kgtheme.cpp
    kgthemeprovider.cpp
    kgthemeselector.cpp
    kstandardgameaction.cpp
)
if(Q_WS_X11)
	set(kdegames_LIB_SRCS ${kdegames_LIB_SRCS} chooserastergraphicssystem.cpp)
endif(Q_WS_X11)

kde4_add_library(kdegames SHARED ${kdegames_LIB_SRCS})

target_link_libraries(kdegames ${KDE4_KIO_LIBS} ${KDE4_KDEUI_LIBS} ${KDE4_KNEWSTUFF3_LIBS} ${QT_QTXML_LIBRARY} ${QT_QTSVG_LIBRARY} ${QT_QTDECLARATIVE_LIBRARY} ${KGAUDIO_LINKLIBS} ${KDECLARATIVE_LIBRARIES})
target_link_libraries(kdegames LINK_INTERFACE_LIBRARIES ${KDE4_KDEUI_LIBS})

#NOTE: 6.0.0 = KDE 4.9 release
set(KDEGAMES_VERSION 6.1.0)
set(KDEGAMES_SOVERSION 6)

set_target_properties(kdegames PROPERTIES
    VERSION   ${KDEGAMES_VERSION}
    SOVERSION ${KDEGAMES_SOVERSION}
)

install(TARGETS kdegames EXPORT KDEGamesLibraryDepends
    ${INSTALL_TARGETS_DEFAULT_ARGS})

########### next target ###############

# NOTE: The libkdegamesprivate target is compiled in this directory, because
# CMake can't cope with exported libraries in two different directories.

set(kdegamesprivate_LIB_SRCS
    libkdegamesprivate/kchatbase.cpp
    libkdegamesprivate/kchatbaseitemdelegate.cpp
    libkdegamesprivate/kchatbasemodel.cpp
    libkdegamesprivate/kgame/kgamechat.cpp
    libkdegamesprivate/kgame/kgame.cpp
    libkdegamesprivate/kgame/kgameerror.cpp
    libkdegamesprivate/kgame/kgameio.cpp
    libkdegamesprivate/kgame/kgamemessage.cpp
    libkdegamesprivate/kgame/kgamenetwork.cpp
    libkdegamesprivate/kgame/kgameproperty.cpp
    libkdegamesprivate/kgame/kgamepropertyhandler.cpp
    libkdegamesprivate/kgame/kgamesequence.cpp
    libkdegamesprivate/kgame/kmessageclient.cpp
    libkdegamesprivate/kgame/kmessageio.cpp
    libkdegamesprivate/kgame/kmessageserver.cpp
    libkdegamesprivate/kgame/kplayer.cpp
    libkdegamesprivate/kgamecanvas.cpp
    libkdegamesprivate/kgamedifficulty.cpp
    libkdegamesprivate/kgamesvgdocument.cpp
    libkdegamesprivate/kgametheme.cpp
    libkdegamesprivate/kgamethemeselector.cpp
)

kde4_add_ui_files(kdegamesprivate_LIB_SRCS
    libkdegamesprivate/kgamethemeselector.ui
)

kde4_add_library(kdegamesprivate SHARED ${kdegamesprivate_LIB_SRCS})

target_link_libraries(kdegamesprivate ${KDE4_KDEUI_LIBS} ${KDE4_KDNSSD_LIBS} ${KDE4_KNEWSTUFF3_LIBS} ${QT_QTXML_LIBRARY} ${QT_QTNETWORK_LIBRARY} kdegames)
target_link_libraries(kdegamesprivate LINK_INTERFACE_LIBRARIES ${KDE4_KDEUI_LIBS} ${QT_QTXML_LIBRARY} ${QT_QTNETWORK_LIBRARY} kdegames)

set_target_properties(kdegamesprivate PROPERTIES
    VERSION   1.0.0
    SOVERSION 1
)

install(TARGETS kdegamesprivate EXPORT KDEGamesLibraryDepends
    ${INSTALL_TARGETS_DEFAULT_ARGS})


########### install files ###############

install(FILES kgthemeprovider-migration.upd
    DESTINATION ${DATA_INSTALL_DIR}/kconf_update)

install(FILES
    libkdegames_export.h
    ${CMAKE_CURRENT_BINARY_DIR}/libkdegames_capabilities.h
    audio/kgaudioscene.h
    audio/kgsound.h
    kgameclock.h
    kgamepopupitem.h
    kgamerendereditem.h
    kgamerenderedobjectitem.h
    kgamerendererclient.h
    kgamerenderer.h
    kgdeclarativeview.h
    kgdifficulty.h
    kgtheme.h
    kgthemeprovider.h
    kgthemeselector.h
    kstandardgameaction.h
DESTINATION ${INCLUDE_INSTALL_DIR} COMPONENT Devel)

########### generate exports ###############

# add libraries to the build-tree export set
export(TARGETS kdegames kdegamesprivate
    FILE "${PROJECT_BINARY_DIR}/KDEGamesLibraryDepends.cmake")

# define the installation directory for the CMake files
set(CMAKECONFIG_INSTALL_DIR ${LIB_INSTALL_DIR}/cmake/KDEGames)

# create the Config.cmake and ConfigVersion.cmake files
file(RELATIVE_PATH CONF_REL_INCLUDE_DIR
    "${CMAKE_INSTALL_PREFIX}/${CMAKECONFIG_INSTALL_DIR}"
    "${CMAKE_INSTALL_PREFIX}/${INCLUDE_INSTALL_DIR}")
configure_file(KDEGamesConfig.cmake.in
    "${PROJECT_BINARY_DIR}/KDEGamesConfig.cmake" @ONLY)
configure_file(KDEGamesConfigVersion.cmake.in
    "${PROJECT_BINARY_DIR}/KDEGamesConfigVersion.cmake" @ONLY)

install(FILES
    "${PROJECT_BINARY_DIR}/KDEGamesConfig.cmake"
    "${PROJECT_BINARY_DIR}/KDEGamesConfigVersion.cmake"
DESTINATION ${CMAKECONFIG_INSTALL_DIR} COMPONENT Devel)

# install the export set for use with the install-tree
install(EXPORT KDEGamesLibraryDepends DESTINATION
    ${CMAKECONFIG_INSTALL_DIR} COMPONENT Devel)

macro_display_feature_log()

=== highscore/CMakeLists.txt ===
########### install files ###############

install(FILES
   khighscore.h
   kscoredialog.h
   kexthighscore_item.h
   kexthighscore.h
DESTINATION ${INCLUDE_INSTALL_DIR}/highscore COMPONENT Devel)

=== includes/CMakeLists.txt ===
install(FILES
	KExtHighscore
	KGameClock
	KGamePopupItem
	KGameRenderedItem
	KGameRenderedObjectItem
	KGameRenderer
	KGameRendererClient
	KgAudioScene
	KgDeclarativeView
	KgDifficulty
	KgSound
	KgTheme
	KgThemeProvider
	KgThemeSelector
	KHighscore
	KScoreDialog
	KStandardGameAction
DESTINATION ${INCLUDE_INSTALL_DIR}/KDE COMPONENT Devel)

=== carddecks/svg-konqi-modern/CMakeLists.txt ===

file( RELATIVE_PATH current_dir ${carddecks_base_dir} ${CMAKE_CURRENT_SOURCE_DIR} )
install( FILES 11.png index.desktop konqi.svgz DESTINATION ${DATA_INSTALL_DIR}/carddecks/${current_dir} )

=== carddecks/svg-tigullio-international/CMakeLists.txt ===

file( RELATIVE_PATH current_dir ${carddecks_base_dir} ${CMAKE_CURRENT_SOURCE_DIR} )

FILE(GLOB _pngfile "*.png" )
FILE(GLOB _desktopfile "*.desktop" )
install( FILES ${_pngfile} tigullio-international.svgz DESTINATION  ${DATA_INSTALL_DIR}/carddecks/${current_dir} )
install( FILES ${_desktopfile}  DESTINATION  ${DATA_INSTALL_DIR}/carddecks/${current_dir} )

## libkdegames 4.10.0

=== debian/changelog ===
libkdegames (4:4.10.0-0ubuntu1) raring-proposed; urgency=low

  * New upstream release

 -- Rohan Garg <rohangarg@kubuntu.org>  Wed, 06 Feb 2013 12:07:54 +0000

libkdegames (4:4.9.98-0ubuntu1) raring-proposed; urgency=low

  * New upstream release candidate

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 18 Jan 2013 15:59:14 +0000

libkdegames (4:4.9.97-0ubuntu1) raring; urgency=low

  * New upstream release candidate

 -- Philip Muškovac <yofel@kubuntu.org>  Thu, 03 Jan 2013 22:20:23 +0100

libkdegames (4:4.9.95-0ubuntu1) raring; urgency=low

  [ Philip Muškovac ]
  * New upstream release 
  * drop kubuntu_01_cmake_licence.diff, fixed upstream

  [ Scott Kitterman ]
  * Add Kubuntu Vcs-* to debian/control

 -- Philip Muškovac <yofel@kubuntu.org>  Fri, 21 Dec 2012 13:57:02 +0100

libkdegames (4:4.9.90-0ubuntu6) raring; urgency=low

  * Add GFDL 1.2 references to debian/copyright
  * Remove redundant binary section fields in debian/control

 -- Scott Kitterman <scott@kitterman.com>  Tue, 11 Dec 2012 21:44:53 -0500

libkdegames (4:4.9.90-0ubuntu5) raring; urgency=low

  * Update libkdegame6.symbols for powerpc and armhf

 -- Scott Kitterman <scott@kitterman.com>  Mon, 10 Dec 2012 16:15:17 -0500

libkdegames (4:4.9.90-0ubuntu4) raring; urgency=low

  * More fixing previous breakage

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 10 Dec 2012 16:52:21 +0000

libkdegames (4:4.9.90-0ubuntu3) raring; urgency=low

  * More fixing previous breakage

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 10 Dec 2012 16:38:28 +0000

libkdegames (4:4.9.90-0ubuntu2) raring; urgency=low

  * Fix libs section to libs
  * Fix build-dep on libsndfile1-dev

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 10 Dec 2012 15:53:48 +0000

libkdegames (4:4.9.90-0ubuntu1) raring-proposed; urgency=low

  * Initial release
  * Build-dep on libsndfile1-dev, libopenal-dev
  * Add kubuntu_01_cmake_licence.diff from upstream to add missing licence

 -- Jonathan Riddell <jriddell@ubuntu.com>  Sat, 24 Nov 2012 05:40:53 +0000

=== debian/control ===
Source: libkdegames
Priority: extra
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
Build-Depends: cmake,
               debhelper (>= 8.0.0),
               kdelibs5-dev (>= 4:4.10.0),
               pkg-kde-tools,
               libopenal-dev,
               libsndfile1-dev,
Standards-Version: 3.9.3
Section: libs
Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/libkdegames
Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/libkdegames
Homepage: http://www.kde.org

Package: libkdegames6
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: shared library for KDE games
 This package contains a shared library used by KDE games.

Package: libkdegamesprivate1
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: private shared library for KDE games
 This package contains a private shared library used by KDE games.

Package: libkdegames-dev
Architecture: any
Section: libdevel
Depends: libkdegames6 (= ${binary:Version}),
         libkdegamesprivate1 (= ${binary:Version}),
         ${misc:Depends},
         ${sameVersionDep:kdelibs5-dev:libkdegames6}
Description: development files for the KDE games library
 This package contains development files for building software that uses
 libraries from the KDE games module.

Package: kdegames-data
Architecture: all
Depends: ${misc:Depends}
Description: games from the official KDE release -- shared data files
 KDE is produced by an international technology team that creates free and open
 source software for desktop and portable computing. Among KDE's products are a
 modern desktop system for Linux and UNIX platforms, comprehensive office
 productivity and groupware suites and hundreds of software titles in many
 categories including Internet and web applications, multimedia, entertainment,
 educational, graphics and software development.
 .
 This package contains the architecture independent files that are used by
 all games.

Package: kdegames-card-data
Section: games
Architecture: all
Suggests: kdegames-card-data-extra
Depends: ${misc:Depends}
Description: card decks for KDE games
 This package contains a collection of playing card themes for KDE card games.

Package: kdegames-card-data-extra
Section: games
Architecture: all
Depends: kdegames-card-data, ${misc:Depends}
Description: extra card decks for KDE games
 This package contains a collection of playing card themes for KDE card games.

Package: libkdegames-dbg
Section: debug
Priority: extra
Architecture: any
Depends: libkdegames6 (= ${binary:Version}), ${misc:Depends}
Description: Debugging symbols for libkdegames

## libkdegames 4.10.2

=== debian/changelog ===
libkdegames (4:4.10.2-0ubuntu1) raring; urgency=low

  * New upstream bugfix release

 -- Philip Muškovac <yofel@kubuntu.org>  Sun, 31 Mar 2013 14:31:58 +0200

libkdegames (4:4.10.1-0ubuntu1) raring-proposed; urgency=low

  * New upstream bugfix release

 -- Philip Muškovac <yofel@kubuntu.org>  Tue, 05 Mar 2013 16:42:59 +0000

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
 Build-Depends: cmake,
                debhelper (>= 8.0.0),
-               kdelibs5-dev (>= 4:4.10.0),
+               kdelibs5-dev (>= 4:4.10.2),
                pkg-kde-tools,
                libopenal-dev,
                libsndfile1-dev,

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/pkg-kde-tools/qt-kde-team/2/debian-qt-kde.mk

.PHONY: override_dh_auto_test

override_dh_strip:
	        $(overridden_command) --dbg-package=libkdegames-dbg

## libkdegames 4.11.2

=== debian/changelog ===
libkdegames (4:4.11.2-0ubuntu1) saucy; urgency=low

  * New upstream bugfix release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 30 Sep 2013 14:47:05 +0100

libkdegames (4:4.11.1-0ubuntu1) saucy; urgency=low

  * New upstream bugfix release.

 -- Howard Chan <smartboyhw@gmail.com>  Fri, 06 Sep 2013 22:35:31 +0100

libkdegames (4:4.11.0-0ubuntu1) saucy; urgency=low

  [ Howard Chan ]
  * New upstream release

  [ Jonathan Riddell ]
  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 13 Aug 2013 23:51:28 +0100

libkdegames (4:4.10.97-0ubuntu1) saucy; urgency=low

  * New upstream RC 2 release
  * New upstream RC 2 release
  * New upstream RC 2 release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 26 Jul 2013 19:57:26 +0100

libkdegames (4:4.10.95-0ubuntu1) saucy; urgency=low

  * New upstream RC release

 -- Rohan Garg <rohangarg@kubuntu.org>  Fri, 19 Jul 2013 12:33:20 +0000

libkdegames (4:4.10.90-0ubuntu1) saucy; urgency=low

  [ Michał Zając ]
  * New upstream bet release

  [ Philip Muškovac ]
  * Strip debian revision from symbols in libkdegames6.symbols

 -- Michał Zając <quintasan@kubuntu.org>  Fri, 28 Jun 2013 18:26:48 +0100

libkdegames (4:4.10.80-0ubuntu1) saucy; urgency=low

  [ Rohan Garg ]
  * New upstream release

  [ Philip Muškovac ]
  * Add Qml imports to libkdegames6.install 
  * Add new symbols to libkdegames6.symbols

  [ Jonathan Riddell ]
  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 21 Jun 2013 01:42:38 +0100

libkdegames (4:4.10.4-0ubuntu1) saucy-proposed; urgency=low

  [ Rohan Garg ]
  * New upstream bugfix release

  [ Jonathan Riddell ]
  * remove Suggests: kdegames, keep lintian happy

 -- Rohan Garg <rohangarg@kubuntu.org>  Fri, 07 Jun 2013 00:46:29 +0100

libkdegames (4:4.10.3-0ubuntu2) saucy; urgency=low

  * Add package kdegames-data and make libkdegames6 depend on it

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 22 May 2013 14:32:48 +0000

libkdegames (4:4.10.3-0ubuntu1) saucy; urgency=low

  * New upstream release
  * Merge with Debian, remaining change:
   - add package kdegames-card-data-extra and update kdegames-card-data.install for it
  * libkdegames6 replaces/conflicts old libkdegamesprivate1
  * libkdegames6-dbg replaces/conflicts libkdegames-dbg

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 08 May 2013 16:10:50 +0000

libkdegames (4:4.10.2-1) experimental; urgency=low

  * First release of kdegames after being split by upstream.
  * Team upload.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Sat, 06 Apr 2013 17:58:57 +0200

=== debian/control ===
Source: libkdegames
Section: libs
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Daniel Schepler <schepler@debian.org>,
 Sune Vuorela <sune@debian.org>,
 Fathi Boudra <fabo@debian.org>,
 Modestas Vainius <modax@debian.org>,
 George Kiagiadakis <gkiagiad@csd.uoc.gr>,
 Eshat Cakar <info@eshat.de>,
 Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>,
 Maximiliano Curia <maxy@debian.org>
Build-Depends: kde-sc-dev-latest (>= 4:4.10.2),
 cmake, debhelper (>= 9), pkg-kde-tools (>= 0.14),
 kdelibs5-dev (>= 4:4.11.2),
 libopenal-dev,
 libsndfile1-dev
Standards-Version: 3.9.4
Homepage: http://games.kde.org/
Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/libkdegames
Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/libkdegames
X-Vcs-Debian-Browser: http://git.debian.org/?p=pkg-kde/kde-sc/kdegames.git
X-Vcs-Debian-Git: git://git.debian.org/pkg-kde/kde-sc/kdegames.git

Package: libkdegames6
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}, kdegames-data
Replaces: libkdegamesprivate1 (<< 4:4.10.3-0ubuntu1)
Conflicts: libkdegamesprivate1 (<< 4:4.10.3-0ubuntu1)
Description: shared library for KDE games
 This package contains a shared library used by KDE games.
 .
 This package is part of the KDE games module.

Package: libkdegames-dev
Architecture: any
Section: libdevel
Depends: ${misc:Depends}, ${sameVersionDep:kdelibs5-dev:libkdegames6},
 libkdegames6 (= ${binary:Version})
Description: development files for the KDE games library
 This package contains development files for building software that uses
 libraries from the KDE games module.
 .
 This package is part of the KDE games module.

Package: libkdegames6-dbg
Architecture: any
Priority: extra
Section: debug
Depends: ${misc:Depends}, libkdegames6 (= ${binary:Version}), kde-runtime-dbg
Replaces: libkdegames-dbg
Conflicts: libkdegames-dbg
Description: debugging symbols for the KDE games module
 This package contains the library debugging symbols of the shared library used
 by KDE games.
 .
 This package is part of the KDE games module.

Package: kdegames-data
Architecture: all
Depends: ${misc:Depends}
Description: games from the official KDE release -- shared data files
 KDE is produced by an international technology team that creates free and open
 source software for desktop and portable computing. Among KDE's products are a
 modern desktop system for Linux and UNIX platforms, comprehensive office
 productivity and groupware suites and hundreds of software titles in many
 categories including Internet and web applications, multimedia, entertainment,
 educational, graphics and software development.
 .
 This package contains the architecture independent files that are used by
 all games.

Package: kdegames-card-data
Architecture: all
Depends: ${misc:Depends}
Suggests: kdegames-card-data-extra
Description: card decks for KDE games
 This package contains a collection of playing card themes for KDE card games.
 .
 This package is part of the KDE games module.

Package: kdegames-card-data-extra
Section: games
Architecture: all
Depends: kdegames-card-data, ${misc:Depends}
Description: extra card decks for KDE games
 This package contains a collection of playing card themes for KDE card games.

## libkdegames 4.11.3

=== debian/changelog ===
libkdegames (4:4.11.3-0ubuntu0.1) saucy; urgency=low

  * New upstream bugfix release (LP: #1247235)

 -- Philip Muškovac <yofel@kubuntu.org>  Fri, 29 Nov 2013 16:07:33 +0000

=== debian/control ===
--- 
+++ 
@@ -13,13 +13,13 @@
  Maximiliano Curia <maxy@debian.org>
 Build-Depends: kde-sc-dev-latest (>= 4:4.10.2),
  cmake, debhelper (>= 9), pkg-kde-tools (>= 0.14),
- kdelibs5-dev (>= 4:4.11.2),
+ kdelibs5-dev (>= 4:4.11.3),
  libopenal-dev,
  libsndfile1-dev
 Standards-Version: 3.9.4
 Homepage: http://games.kde.org/
-Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/libkdegames
-Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/libkdegames
+Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/libkdegames-13.10
+Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/libkdegames-13.10
 X-Vcs-Debian-Browser: http://git.debian.org/?p=pkg-kde/kde-sc/kdegames.git
 X-Vcs-Debian-Git: git://git.debian.org/pkg-kde/kde-sc/kdegames.git

## libkdegames 4.13.0

=== debian/changelog ===
libkdegames (4:4.13.0-0ubuntu1) trusty; urgency=medium

  * New upstream KDE Software Compilation release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 10 Apr 2014 22:21:25 +0100

libkdegames (4:4.12.97-0ubuntu1) trusty; urgency=medium

  * New upstream release candidate

 -- Philip Muškovac <yofel@kubuntu.org>  Wed, 02 Apr 2014 11:48:43 +0200

libkdegames (4:4.12.95-0ubuntu1) trusty; urgency=medium

  * New upstream beta release

 -- Rohan Garg <rohangarg@kubuntu.org>  Sun, 23 Mar 2014 12:48:13 +0100

libkdegames (4:4.12.90-0ubuntu1) trusty; urgency=medium

  * New upstream beta release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 19 Mar 2014 11:54:01 +0000

libkdegames (4:4.12.3-0ubuntu1) trusty; urgency=medium

  * New upstream bugfix release

 -- Rohan Garg <rohangarg@kubuntu.org>  Tue, 04 Mar 2014 21:09:28 +0100

libkdegames (4:4.12.2-0ubuntu1) trusty; urgency=medium

  * New upstream bugfix release

 -- Rohan Garg <rohangarg@kubuntu.org>  Wed, 05 Feb 2014 00:20:32 +0000

libkdegames (4:4.12.1-0ubuntu1) trusty; urgency=low

  * New upstream bugfix release

 -- Rohan Garg <rohangarg@kubuntu.org>  Thu, 16 Jan 2014 08:34:40 +0000

libkdegames (4:4.12.0-0ubuntu1) trusty; urgency=low

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 18 Dec 2013 17:34:45 +0000

libkdegames (4:4.11.97-0ubuntu1) trusty; urgency=low

  * New upstream RC release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 29 Nov 2013 13:33:07 +0000

libkdegames (4:4.11.95-0ubuntu1) trusty; urgency=low

  * New upstream beta release

 -- Rohan Garg <rohangarg@kubuntu.org>  Mon, 25 Nov 2013 18:30:20 +0100

libkdegames (4:4.11.80-0ubuntu1) trusty; urgency=low

  * New upstream beta release

 -- Rohan Garg <rohangarg@kubuntu.org>  Sat, 23 Nov 2013 17:53:54 +0100

=== debian/control ===
--- 
+++ 
@@ -13,13 +13,13 @@
  Maximiliano Curia <maxy@debian.org>
 Build-Depends: kde-sc-dev-latest (>= 4:4.10.2),
  cmake, debhelper (>= 9), pkg-kde-tools (>= 0.14),
- kdelibs5-dev (>= 4:4.11.3),
+ kdelibs5-dev (>= 4:4.13.0),
  libopenal-dev,
  libsndfile1-dev
 Standards-Version: 3.9.4
 Homepage: http://games.kde.org/
-Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/libkdegames-13.10
-Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/libkdegames-13.10
+Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/libkdegames
+Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/libkdegames
 X-Vcs-Debian-Browser: http://git.debian.org/?p=pkg-kde/kde-sc/kdegames.git
 X-Vcs-Debian-Git: git://git.debian.org/pkg-kde/kde-sc/kdegames.git

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/pkg-kde-tools/qt-kde-team/2/debian-qt-kde.mk

.PHONY: override_dh_auto_test

override_dh_strip:
	$(overridden_command) --dbg-package=libkdegames6-dbg

## libkdegames 4.13.1

=== tests/CMakeLists.txt ===
set( EXECUTABLE_OUTPUT_PATH ${CMAKE_CURRENT_BINARY_DIR} )
include_directories(  ${CMAKE_SOURCE_DIR}/libkdegames )

MACRO(LIBKDEGAMES_EXECUTABLE_TESTS)
       FOREACH(_testname ${ARGN})
               set(${_testname}_SRCS ${_testname}.cpp)
               #if test has an ui file, use it
               IF(EXISTS ${CMAKE_CURRENT_SOURCE_DIR}/${_testname}.ui)
                  kde4_add_ui_files(${_testname}_SRCS ${_testname}.ui)
               ENDIF(EXISTS ${CMAKE_CURRENT_SOURCE_DIR}/${_testname}.ui)

               kde4_add_executable(${_testname} TEST ${${_testname}_SRCS})
               target_link_libraries(${_testname} ${KDE4_KDECORE_LIBS} ${KDE4_KDEGAMES_LIBS} ${QT_QTTEST_LIBRARY} kdegames)
       ENDFOREACH(_testname)
ENDMACRO(LIBKDEGAMES_EXECUTABLE_TESTS)

if (Q_WS_X11)
LIBKDEGAMES_EXECUTABLE_TESTS(
#    kxerrorhandlertest # File missing from svn
#     kgamepopupitemtest
)
endif (Q_WS_X11)

=== carddecks/svg-jolly-royal/CMakeLists.txt ===

file( RELATIVE_PATH current_dir ${carddecks_base_dir} ${CMAKE_CURRENT_SOURCE_DIR} )
install( FILES 11.png index.desktop jolly-royal.svgz DESTINATION ${DATA_INSTALL_DIR}/carddecks/${current_dir} )

=== debian/changelog ===
libkdegames (4:4.13.1-0ubuntu0.1) trusty; urgency=medium

  * New upstream bugfix release (LP: #1318142)

 -- Philip Muškovac <yofel@kubuntu.org>  Wed, 04 Jun 2014 16:55:02 +0200

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
  Maximiliano Curia <maxy@debian.org>
 Build-Depends: kde-sc-dev-latest (>= 4:4.10.2),
  cmake, debhelper (>= 9), pkg-kde-tools (>= 0.14),
- kdelibs5-dev (>= 4:4.13.0),
+ kdelibs5-dev (>= 4:4.13.1),
  libopenal-dev,
  libsndfile1-dev
 Standards-Version: 3.9.4

=== debian/watch ===
version=3
ftp://ftp.kde.org/pub/kde/stable/([\d\.]*)/src/libkdegames-([\d\.]*).tar.xz

## libkdegames 4.14.1

=== debian/changelog ===
libkdegames (4:4.14.1-0ubuntu1) utopic; urgency=medium

  * New upstream release

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Mon, 22 Sep 2014 17:45:36 +0200

libkdegames (4:4.14.0-0ubuntu1) utopic; urgency=medium

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 20 Aug 2014 13:31:41 +0200

libkdegames (4:4.13.97-0ubuntu1) utopic; urgency=medium

  * New upstream beta release RC

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Fri, 01 Aug 2014 17:20:58 +0200

libkdegames (4:4.13.95-0ubuntu1) utopic; urgency=medium

  * New upstream beta release

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Wed, 30 Jul 2014 18:45:36 +0200

libkdegames (4:4.13.90-0ubuntu1) utopic; urgency=medium

  * New upstream beta release

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Thu, 24 Jul 2014 23:35:46 +0200

libkdegames (4:4.13.2-0ubuntu1) utopic; urgency=medium

  * new upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 18 Jun 2014 12:06:37 +0100

libkdegames (4:4.13.1-1ubuntu1) utopic; urgency=medium

  * Merge from debian, remaining changes
   - add package kdegames-card-data-extra and update kdegames-card-data.install
     for it
   - Appropriate Breaks/Replaces for libkdegamesprivate1abi1 and
     kde-games-core-declarative

 -- Rohan Garg <rohangarg@kubuntu.org>  Thu, 22 May 2014 16:46:53 +0200

libkdegames (4:4.13.1-1) unstable; urgency=medium

  * New upstream release.
  * Update symbols with 4.12.4 buildlogs.
  * Update symbols files.

 -- Maximiliano Curia <maxy@debian.org>  Fri, 16 May 2014 14:49:40 +0200

libkdegames (4:4.12.4-1) unstable; urgency=medium

  * New upstream release.
  * New upstream release.

 -- Maximiliano Curia <maxy@debian.org>  Mon, 28 Apr 2014 12:24:55 +0200

libkdegames (4:4.11.5-1) unstable; urgency=low

  * New upstream release.
  * Bump Standards-Version to 3.9.5, no changes needed.
  * Add autopkgtest.
  * Add abi-compliance-checker info.

 -- Maximiliano Curia <maxy@debian.org>  Fri, 17 Jan 2014 12:58:20 -0300

libkdegames (4:4.11.3-1) unstable; urgency=low

  * New upstream release.
  * Update build dependencies.

 -- Maximiliano Curia <maxy@debian.org>  Thu, 07 Nov 2013 14:28:08 +0100

libkdegames (4:4.11.2-2) experimental; urgency=low

  * Update symbols files.

 -- Maximiliano Curia <maxy@debian.org>  Mon, 07 Oct 2013 12:07:48 +0200

libkdegames (4:4.11.2-1) experimental; urgency=low

  * New upstream release.
  * Update install files.
  * Enable DebianABIManager.
  * Split binary packages kde-games-core-declarative and
    libkdegamesprivate1abi1.
  * Create new symbols files.

 -- Maximiliano Curia <maxy@debian.org>  Tue, 03 Sep 2013 20:24:24 +0200

libkdegames (4:4.10.5-1) unstable; urgency=low

  * New upstream release.
  * Fix symbols for armhf (qreal subst).
  * Update symbols.

 -- Maximiliano Curia <maxy@debian.org>  Thu, 11 Jul 2013 21:07:17 +0200

libkdegames (4:4.10.4-1) experimental; urgency=low

  * New upstream release.
  * [debian/control] Update scm fields.
  * [debian/copyright] Fix erroneous license name in pointers to full license.
  * [debian/control::kdegames-card-data] Add Section: games.
  * [debian/rules] Enable tests.
  * Remove version to kdegames Suggest of libkdegames-dbg.
  * Update vcs fields.

 -- Maximiliano Curia <maxy@debian.org>  Fri, 14 Jun 2013 08:18:31 +0200

=== debian/control ===
Source: libkdegames
Section: libs
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Daniel Schepler <schepler@debian.org>,
           Sune Vuorela <sune@debian.org>,
           Fathi Boudra <fabo@debian.org>,
           Modestas Vainius <modax@debian.org>,
           George Kiagiadakis <gkiagiad@csd.uoc.gr>,
           Eshat Cakar <info@eshat.de>,
           Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>,
           Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake,
               debhelper (>= 9),
               kde-sc-dev-latest (>= 4:4.11),
               kdelibs5-dev (>= 4:4.14.1),
               libopenal-dev,
               libsndfile1-dev,
               pkg-kde-tools (>= 0.14)
Standards-Version: 3.9.5
XS-Testsuite: autopkgtest
Homepage: http://games.kde.org/
Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/libkdegames
Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/libkdegames
X-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-sc/libkdegames.git
X-Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-sc/libkdegames.git

Package: libkdegames6abi1
Architecture: any
X-Debian-ABI: 1
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: shared library for KDE games
 This package contains a shared library used by KDE games.
 .
 This package is part of the KDE games module.

Package: libkdegamesprivate1abi1
Architecture: any
X-Debian-ABI: 1
Depends: ${misc:Depends}, ${shlibs:Depends}
## Drop after 16.04
Breaks: libkdegames6
Replaces: libkdegames6
Description: private part of shared library for KDE games
 This package contains the private parts of the shared library used by KDE
 games.
 .
 This package is part of the KDE games module.

Package: kde-games-core-declarative
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
## Drop after 16.04
Breaks: libkdegames6
Replaces: libkdegames6
Description: kde-games-core QtDeclarative QML support
 Contains a plugin for QtDeclarative that provides
 support for using KDE-games-core to components written
 in QML.
 .
 This package is part of the KDE games module.

Package: libkdegames-dev
Architecture: any
Section: libdevel
Depends: libkdegames6abi1 (= ${binary:Version}),
         libkdegamesprivate1abi1 (= ${binary:Version}),
         ${misc:Depends},
         ${sameVersionDep:kdelibs5-dev:libkdegames6abi1}
Description: development files for the KDE games library
 This package contains development files for building software that uses
 libraries from the KDE games module.
 .
 This package is part of the KDE games module.

Package: libkdegames6abi1-dbg
Architecture: any
Priority: extra
Section: debug
Depends: kde-runtime-dbg,
         libkdegames6abi1 (= ${binary:Version}),
         ${misc:Depends}
Suggests: kdegames
Description: debugging symbols for the KDE games module
 This package contains the library debugging symbols of the shared library used
 by KDE games.
 .
 This package is part of the KDE games module.

Package: kdegames-data
Architecture: all
Depends: ${misc:Depends}
Description: games from the official KDE release -- shared data files
 KDE is produced by an international technology team that creates free and open
 source software for desktop and portable computing. Among KDE's products are a
 modern desktop system for Linux and UNIX platforms, comprehensive office
 productivity and groupware suites and hundreds of software titles in many
 categories including Internet and web applications, multimedia, entertainment,
 educational, graphics and software development.
 .
 This package contains the architecture independent files that are used by
 all games.

Package: kdegames-card-data
Architecture: all
Section: games
Depends: ${misc:Depends}
Suggests: kdegames-data
Description: card decks for KDE games
 This package contains a collection of playing card themes for KDE card games.
 .
 This package is part of the KDE games module.

Package: kdegames-card-data-extra
Section: games
Architecture: all
Depends: kdegames-card-data, ${misc:Depends}
Description: extra card decks for KDE games
 This package contains a collection of playing card themes for KDE card games.

## libkdegames 4.14.2

=== debian/changelog ===
libkdegames (4:4.14.2-1) unstable; urgency=medium

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * Remove myself from Uploaders.

  [ Maximiliano Curia ]
  * New upstream release (4.14.2).
  * Update symbols files from buildds logs (4:4.13.1-1).

 -- Maximiliano Curia <maxy@debian.org>  Mon, 20 Oct 2014 17:13:28 +0200

=== debian/control ===
Source: libkdegames
Section: libs
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Daniel Schepler <schepler@debian.org>,
           Sune Vuorela <sune@debian.org>,
           Fathi Boudra <fabo@debian.org>,
           Modestas Vainius <modax@debian.org>,
           George Kiagiadakis <gkiagiad@csd.uoc.gr>,
           Eshat Cakar <info@eshat.de>,
           Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake,
               debhelper (>= 9),
               kde-sc-dev-latest (>= 4:4.11),
               kdelibs5-dev (>= 4:4.11),
               libopenal-dev,
               libsndfile1-dev,
               pkg-kde-tools (>= 0.14)
Standards-Version: 3.9.5
XS-Testsuite: autopkgtest
Homepage: http://games.kde.org/
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-sc/libkdegames.git
Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-sc/libkdegames.git

Package: libkdegames6abi1
Architecture: any
X-Debian-ABI: 1
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: shared library for KDE games
 This package contains a shared library used by KDE games.
 .
 This package is part of the KDE games module.

Package: libkdegamesprivate1abi1
Architecture: any
X-Debian-ABI: 1
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: private part of shared library for KDE games
 This package contains the private parts of the shared library used by KDE
 games.
 .
 This package is part of the KDE games module.

Package: kde-games-core-declarative
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: kde-games-core QtDeclarative QML support
 Contains a plugin for QtDeclarative that provides
 support for using KDE-games-core to components written
 in QML.
 .
 This package is part of the KDE games module.

Package: libkdegames-dev
Architecture: any
Section: libdevel
Depends: libkdegames6abi1 (= ${binary:Version}),
         libkdegamesprivate1abi1 (= ${binary:Version}),
         ${misc:Depends},
         ${sameVersionDep:kdelibs5-dev:libkdegames6abi1}
Description: development files for the KDE games library
 This package contains development files for building software that uses
 libraries from the KDE games module.
 .
 This package is part of the KDE games module.

Package: libkdegames6abi1-dbg
Architecture: any
Priority: extra
Section: debug
Depends: kde-runtime-dbg,
         libkdegames6abi1 (= ${binary:Version}),
         ${misc:Depends}
Suggests: kdegames
Description: debugging symbols for the KDE games module
 This package contains the library debugging symbols of the shared library used
 by KDE games.
 .
 This package is part of the KDE games module.

Package: kdegames-card-data
Architecture: all
Section: games
Depends: ${misc:Depends}
Description: card decks for KDE games
 This package contains a collection of playing card themes for KDE card games.
 .
 This package is part of the KDE games module.

=== debian/watch ===
version=3
http://download.kde.org/stable/([\d.]+)/src/libkdegames-([\d.]+).tar.xz

## libkdegames 14.12.2

=== debian/changelog ===
libkdegames (4:14.12.2-0ubuntu1) vivid; urgency=medium

  * New upstream release
  * Remove unstable from watch file, uscan fails with 
    remote site does not even have current version

 -- Scarlett Clark <sgclark@kubuntu.org>  Tue, 10 Feb 2015 09:38:39 -0800

libkdegames (4:14.12.0-0ubuntu1) vivid; urgency=medium

  [ Scarlett Clark ]
  * New upstream release
  * Remove kdelibs5-dev depend version as there was not a new release.

  [ Philip Muškovac ]
  * kdegames-card-data breaks/replaces
    kdegames-card-data-extra (<< 4:14.11.97-0ubuntu1~)

 -- Scarlett Clark <sgclark@kubuntu.org>  Fri, 12 Dec 2014 11:36:55 -0800

libkdegames (4:14.11.97-0ubuntu1) vivid; urgency=medium

  * New upstream RC release
  * Merge with Debian, remaining changes:
   - not-installed
  * kdegames-card-data replaces/breaks old split out packages

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 01 Dec 2014 18:03:49 +0100

libkdegames (4:4.14.2-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Fri, 10 Oct 2014 06:23:46 -0700

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: libkdegames
 Section: libs
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Daniel Schepler <schepler@debian.org>,
            Sune Vuorela <sune@debian.org>,
            Fathi Boudra <fabo@debian.org>,
@@ -12,15 +12,15 @@
 Build-Depends: cmake,
                debhelper (>= 9),
                kde-sc-dev-latest (>= 4:4.11),
-               kdelibs5-dev (>= 4:4.11),
+               kdelibs5-dev,
                libopenal-dev,
                libsndfile1-dev,
                pkg-kde-tools (>= 0.14)
 Standards-Version: 3.9.5
 XS-Testsuite: autopkgtest
 Homepage: http://games.kde.org/
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-sc/libkdegames.git
-Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-sc/libkdegames.git
+Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/kde-applications/libkdegames.git/
+Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-applications/libkdegames.git
 
 Package: libkdegames6abi1
 Architecture: any
@@ -82,6 +82,12 @@
 Architecture: all
 Section: games
 Depends: ${misc:Depends}
+Replaces: libkdegames-card-data-extra (<< 4:14.11.97-0ubuntu1),
+          kdegames-card-data-extra (<< 4:14.11.97-0ubuntu1~),
+          kdegames-data (<< 4:14.11.97-0ubuntu1)
+Breaks: libkdegames-card-data-extra (<< 4:14.11.97-0ubuntu1),
+        kdegames-card-data-extra (<< 4:14.11.97-0ubuntu1~),
+        kdegames-data (<< 4:14.11.97-0ubuntu1)
 Description: card decks for KDE games
  This package contains a collection of playing card themes for KDE card games.
  .

## libkdegames 15.08.2

=== debian/changelog ===
libkdegames (4:15.08.2-0ubuntu1) wily; urgency=medium

  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Wed, 14 Oct 2015 12:56:22 +0100

libkdegames (4:15.08.1-0ubuntu1) wily; urgency=medium

  * New upstream release (15.08.1)

 -- Clive Johnston <clivejo@aol.com>  Tue, 22 Sep 2015 17:40:02 +0100

libkdegames (4:15.08.0-0ubuntu1) wily; urgency=medium

  * new upstream release

 -- Clive Johnston <clivejo@aol.com>  Wed, 26 Aug 2015 17:45:45 +0100

libkdegames (4:15.07.90-0ubuntu1) wily; urgency=medium

  [ José Manuel Santamaría Lema ]
  * Update symbols files: mark as optional the symbols gone after
    building with GCC 5

  [ Jonathan Riddell ]
  * New upstream beta release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 18 Aug 2015 11:23:38 +0100

libkdegames (4:15.04.2-0ubuntu5) wily; urgency=medium

  * Remove acc test

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 23 Jun 2015 13:20:04 +0200

libkdegames (4:15.04.2-0ubuntu4) wily; urgency=medium

  * Remove libkf5kdegames6.acc.in until I work out how to fix it

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 22 Jun 2015 22:40:35 +0200

libkdegames (4:15.04.2-0ubuntu3) wily; urgency=medium

  * Port libkf5kdegames6.acc to kf5

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 22 Jun 2015 14:43:39 +0200

libkdegames (4:15.04.2-0ubuntu2) wily; urgency=medium

  * No change upload due to jenkins random fails

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 22 Jun 2015 12:51:31 +0200

libkdegames (4:15.04.2-0ubuntu1) wily; urgency=medium

  [ Harald Sitter ]
  * KDE Frameworks 5 port
    + Rename all libraries to match new sonames
    + Give the data package a kf5 suffix as to not conflict with
      the kdelibs4 version which has different paths but the same assets
    + Rename declarative package to align with the qml-module-foo naming
      policy

  [ Scarlett Clark ]
  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 09 Jun 2015 19:43:49 +0200

=== debian/control ===
Source: libkdegames
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Daniel Schepler <schepler@debian.org>,
           Sune Vuorela <sune@debian.org>,
           Fathi Boudra <fabo@debian.org>,
           Modestas Vainius <modax@debian.org>,
           George Kiagiadakis <gkiagiad@csd.uoc.gr>,
           Eshat Cakar <info@eshat.de>,
           Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake,
               debhelper (>= 9),
               extra-cmake-modules (>= 1.3.0),
               kio-dev,
               libkf5archive-dev,
               libkf5bookmarks-dev,
               libkf5codecs-dev,
               libkf5completion-dev,
               libkf5config-dev,
               libkf5configwidgets-dev,
               libkf5coreaddons-dev,
               libkf5crash-dev,
               libkf5dbusaddons-dev,
               libkf5declarative-dev,
               libkf5dnssd-dev,
               libkf5globalaccel-dev,
               libkf5guiaddons-dev,
               libkf5i18n-dev,
               libkf5iconthemes-dev,
               libkf5itemviews-dev,
               libkf5jobwidgets-dev,
               libkf5kdelibs4support-dev,
               libkf5newstuff-dev,
               libkf5service-dev,
               libkf5textwidgets-dev,
               libkf5widgetsaddons-dev,
               libkf5xmlgui-dev,
               libopenal-dev,
               libqt5svg5-dev (>= 5.3.0),
               libsndfile1-dev,
               pkg-kde-tools (>= 0.14),
               qtdeclarative5-dev (>= 5.3.0)
Standards-Version: 3.9.6
XS-Testsuite: autopkgtest
Homepage: http://games.kde.org/
Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/kde-applications/libkdegames.git/
Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-applications/libkdegames.git

Package: libkf5kdegames6
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: shared library for KDE games
 This package contains a shared library used by KDE games.
 .
 This package is part of the KDE games module.

Package: libkf5kdegamesprivate1
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: private part of shared library for KDE games
 This package contains the private parts of the shared library used by KDE
 games.
 .
 This package is part of the KDE games module.

Package: qml-module-org-kde-games-core
Architecture: any
Depends: qml-module-qtquick2, ${misc:Depends}, ${shlibs:Depends}
Description: kde-games-core QtDeclarative QML support
 Contains a plugin for QtDeclarative that provides
 support for using KDE-games-core to components written
 in QML.
 .
 This package is part of the KDE games module.

Package: libkf5kdegames-dev
Architecture: any
Section: libdevel
Depends: libkf5kdegames6 (= ${binary:Version}),
         libkf5kdegamesprivate1 (= ${binary:Version}),
         ${misc:Depends}
Description: development files for the KDE games library
 This package contains development files for building software that uses
 libraries from the KDE games module.
 .
 This package is part of the KDE games module.

Package: libkf5kdegames-dbg
Architecture: any
Priority: extra
Section: debug
Depends: libkf5kdegames6 (= ${binary:Version}), ${misc:Depends}
Suggests: kdegames
Description: debugging symbols for the KDE games module
 This package contains the library debugging symbols of the shared library used
 by KDE games.
 .
 This package is part of the KDE games module.

Package: kdegames-card-data-kf5
Architecture: all
Section: games
Depends: ${misc:Depends}
Description: card decks for KDE games
 This package contains a collection of playing card themes for KDE card games.
 .
 This package is part of the KDE games module.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk

override_dh_strip:
	$(overridden_command) --dbg-package=libkf5kdegames-dbg

.PHONY: override_dh_auto_test

=== debian/watch ===
version=3
http://download.kde.org/stable/applications/([\d.]+)/src/libkdegames-([\d.]+).tar.xz
http://download.kde.org/unstable/applications/([\d.]+)/src/libkdegames-([\d.]+).tar.xz
